Skip to main content
POST
/
access-control
/
signing-key
TypeScript
import { Livepeer } from "livepeer";

const livepeer = new Livepeer({
  apiKey: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await livepeer.accessControl.create();

  // Handle the result
  console.log(result);
}

run();
package main

import(
	livepeergo "github.com/livepeer/livepeer-go"
	"context"
	"log"
)

func main() {
    s := livepeergo.New(
        livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
    )

    ctx := context.Background()
    res, err := s.AccessControl.Create(ctx)
    if err != nil {
        log.Fatal(err)
    }
    if res.SigningKey != nil {
        // handle response
    }
}
from livepeer import Livepeer

s = Livepeer(
    api_key="<YOUR_BEARER_TOKEN_HERE>",
)

res = s.access_control.create()

if res.signing_key is not None:
    # handle response
    pass
curl --request POST \
  --url https://livepeer.studio/api/access-control/signing-key \
  --header 'Authorization: Bearer <token>'
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://livepeer.studio/api/access-control/signing-key', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "publicKey": "<string>",
  "id": "78df0075-b5f3-4683-a618-1086faca35dc",
  "name": "key1",
  "userId": "78df0075-b5f3-4683-a618-1086faca35dc",
  "createdAt": 1587667174725,
  "lastSeen": 1587667174725,
  "disabled": false,
  "projectId": "aac12556-4d65-4d34-9fb"
}
{
  "errors": [
    [
      "id not provided",
      "Account not found"
    ]
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Success

publicKey
string
required
id
string
read-only
Example:

"78df0075-b5f3-4683-a618-1086faca35dc"

name
string

Name of the signing key

Example:

"key1"

userId
string
deprecated
read-only
Example:

"78df0075-b5f3-4683-a618-1086faca35dc"

createdAt
number
read-only

Timestamp (in milliseconds) at which the signing-key was created

Example:

1587667174725

lastSeen
number
read-only

Timestamp (in milliseconds) at which the signing-key was last used

Example:

1587667174725

disabled
boolean

Disable the signing key to allow rotation safely

Example:

false

projectId
string

The ID of the project

Example:

"aac12556-4d65-4d34-9fb"

Last modified on March 18, 2026